[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TCustomVariantType.CastToOle

Cast variant value to OLE value

## Declaration

Source position: variants.pp line 202

`public procedure TCustomVariantType.CastToOle(`
`var Dest: tvardata;`
`const Source: tvardata`
`); virtual;`

## Arguments

`Dest` |  | OLE variant to cast into
`Source` |  | Custom variant value that must be cast

## Description

CastToOle is called when a variant must be cast to a value that can be used in OLE variants. Descendents must override this method to provide the desired conversion behaviour.

The TCustomVariantType implementation of CastToOle raises an 'unsupported' exception.

## See also

TCustomVariantType.Cast |  | Cast a custom variant to another type
TCustomVariantType.CastTo |  | Cast a custom variant to another type